Together we make EasyVFR
Share:
Notifications
Clear all

Beta 4.0.947 beta (09NOV2021)


a0794159f1cc2f4ea8c5e73830745f84?s=80&d=retro&r=g
Prominent Member Admin
Joined: 3 years ago
Posts: 419
Topic starter  

Hi friends,

One last update before the next public release into the AppStores. Fixing some rare theoretical issues with auto-switching between GPS sources and manual width change of the route planning window are now remembered between sessions.

What is surprising though is something that is not listed in today's release notes since it is not version-related. Apple finally fixed what was broken since macOS BigSur! 

 

EasyVFR 4 now also running on Intel mac's operating macOS BigSur and Monterey!

It appears to be that Apple finally fixed several library issues they introduced with macOS BigSur. Resulting in that EasyVFR 4 is finally working on Intel Macs running macOS BigSur 11.6.1 and up, and on macOS Monterey 12.0.1 and up.

Since the macOS update on the 25th of October last week we have got EasyVFR 4 running on all Intel macs we could find.

This fix is not related to any version of EasyVFR 4. You just need to update macOS BigSur or Monterey to the latest version, and any version of EasyVFR 4 should be working again.

Do you have an Intel mac? We would love to hear about your experiences!

 

M1 Apple silicon macs

When you have an M1 mac you could already run the iOS version of EasyVFR 4. It is possible that installing the .dmg file over Rosseta also works, but this is not yet fully tested. We like to hear about your experiences.

About the new M1 Max and Pro macs we can't say much yet. We had the chance to borrow one new M1 Max macbook to test with. EasyVFR 4 experienced download issues on that machine. This issue is seen with many other applications. We are investigating what we can do here, but since it occurred with other apps as well, we expect that Apple will come up with a solution.

 

As always, many thanks for your input! Together we make EasyVFR 4 a better companion every day!

 

Cheers,

Team EasyVFR 4

 

 

Release notes

  • IMPROVED: Manual width changes of the Route Planning window were not kept persistent between sessions.
  • FIXED: Automatic GPS sources selection when using an external GPS source with the internal GPS that does not provide a 3D fix is improved.

 

 

Downloads

Apple iOS & iPadOS

  • Minimum requirements:
    • 64-bit and 2GB RAM. Effectively:
      • iPad Air 2 and higher.
      • iPad Mini 4 and higher.
      • iPhone 6S and higher.
    • The iPad Mini 5 and iPad Pro perform extremely well.
  • Download
    1. Install the Apple TestFlight app via the Apple AppStore.

    2. Go to the following URL to download the latest version of EasyVFR 4 via TestFlight:
    https://testflight.apple.com/join/Zxbi0Hof

Android

  • IMPORTANT
  • Minimum requirements:
    • 64-bit, +3GB RAM. Android 7.0 and higher is advised.
    • Android 11 is not yet stable.
  • We have good results with:
    • Huawei MediaPad M5.
    • Xiaomi Mi Pad 4.
    • Samsung Galaxy Tab S4 and S6.
    • Most modern smartphones.
  • Download:
    • To install you must enable the option: "Allow the installation of apps from sources other than Play store" in Android Settings, Lock screen and Security. Some Android devices require you to tap&hold the link below, then choose [Download link] to store the APK on your device from where you then can install this downloaded APK.
      https://members.pocketfms.com/WebProgramDownloads/EasyVFR4/EasyVFR4_4.0.947.apk

Windows desktop

macOS High Sierra and up

    • IMPORTANT:
      • Intel macs on Big Sur and Monterey need to have the latest macOS version 11.6.1 or 12.0.1 or up installed.
      • M1 macs can download via the iOS AppStore.
    • Minimum requirements:
      • Most 64-bit macOS versions. E.g. High Sierra, Mojave, Catalina. BigSur 11.6.1 and Monterey 12.0.1 and up.
      • M1 macs can download via the iOS AppStore.
    • Download:
    • Installation instructions:
      1. After downloading the DMG file, open it and drag the EasyVFR 4 icon into the Applications folder. EasyVFR 4 is now available via Launchpad.
      2. When you get the message "EasyVFR4.app can’t be opened because it was not downloaded from the App Store" choose [Open in Finder] from that popup, then right-click on EasyVFR4.app and choose open. Now the same popup will appear, now with a [Open] button.
      3. From there on you can launch EasyVFR 4 from the launchpad without this warning.
      4. With every update, you need to redo step 2.
This topic was modified 3 months ago 2 times by Tim Peter
This topic was modified 2 months ago by Tim Peter

Quote
c5f2a205df268d654f2ae0db9d225ec7?s=80&d=retro&r=g
Reputable Member Beta tester
Joined: 3 years ago
Posts: 123
 

Could it be that the Android version is not actually posted? Neither of my 4.0.943 devices prompt me that there's a new beta version.


ReplyQuote
a0794159f1cc2f4ea8c5e73830745f84?s=80&d=retro&r=g
Prominent Member Admin
Joined: 3 years ago
Posts: 419
Topic starter  

Hi Rob,

You are right. The in-app pop-up that informs about a beta update was not sent. We'll think about it with the next one. 4.0.948 is ready to be released. Nothing special for Android but with that version EasyVFR 4 is pone again compatible with all macOS platforms 😀 

 

Cheers,
Tim


ReplyQuote
Share:
My cart
Your cart is empty.

Looks like you haven't made a choice yet.